Subject: [Sip] Locating a SIP Server - bis04 confusion

From: Connie Blanchard <[email-masked]>
Date: Fri, 14 Sep 2001 16:07:20 -0400

It looks like the info from the draft for locating a SIP Server (referenced
by [36]) has been pulled back into Section 1.4.2. But section 16.5 still
references [36].

What is the planned future of this text, to keep it in the bis04 or to
update the draft? 

The 4th paragraph in section 1.4.2 (and is in the draft as well) mentions
that clients must re-run "the above mentioned algorithm" but I fail to find
the above mentioned algorithm in either texts. I remember reading one before
(prehaps in an older draft) but fail to find it.

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 14 Sep 2001 16:21:39 -0400

We will update bis.  There will be a section of bis that is Locating a SIP
Server.
 
This gives me the opportunity to tell you what is happening with bis.
As many of you know, the words in the protocol document have
become twisted, mostly because the protocol has evolved and the words
have also evolved, and you don't get good readable text from many
sequential edits.
 
As a result, we have decided to COMPLETELY REWRITE the document.
We have recruited a team of people.  We have agreed on an outline.
We have parceled out the sections to team members, and they are now
busily rewriting the text.  Of course, they are using the current text
as the arbiter of what the protocol is; our aim is to make sure that all the

MUSTS and SHOULDS and MAYS show up the way the current words
describe it, but, hopefully much clearer language.
 
When chapters are completed, we will have several reviews to try
to catch any violations of the above.  We will then put out drafts of
the new text for you all to find the goofs we missed.   The team members
have committed very substantial portions of their time to get this task
done as quickly as possible. 
 
This means that there will not be an -05 for a while.  We encourage you
to continue to report problems with -04.  We have processes in place to 
make sure that we don't miss any problems reported while we are rewriting.
The date we are STILL driving for is WGLC on Dec 1.  
 
Brian